Bug 806652 - echoping module loading and ldap connection query patches
echoping module loading and ldap connection query patches
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: echoping (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 14:26 EDT by Clinton Work
Modified: 2013-02-13 03:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:55:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for echoping module loading (517 bytes, patch)
2012-03-25 14:26 EDT, Clinton Work
no flags Details | Diff
ldap objectclass patch (499 bytes, patch)
2012-03-25 14:29 EDT, Clinton Work
no flags Details | Diff
updated echoping rpm spec file with both patches (4.13 KB, text/x-rpm-spec)
2012-03-25 14:29 EDT, Clinton Work
no flags Details

  None (edit)
Description Clinton Work 2012-03-25 14:26:05 EDT
Created attachment 572560 [details]
patch for echoping module loading

Description of problem:

The current version of echoping packaged for Fedora 16 cannot load the dns or ldap modules.  I have a patch which I have tested as working. There is also a performance defect with the ldap module where echo tries to test its LDAP connection by doing a LDAP query for (ObjectClass=*). The current connection query can return a huge number of records.  The objectclass patch modifies the connection query to search for a dummy object class name.  

Version-Release number of selected component (if applicable):
6.0.2


How reproducible:
Install the echoping and echoping-dns packages.  Try the following echoping command if your machine is running a local name server.  

echoping -m dns 127.0.0.1 www.google.com

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Clinton Work 2012-03-25 14:29:04 EDT
Created attachment 572561 [details]
ldap objectclass patch

fixes a performance issue with the ldap query module.
Comment 2 Clinton Work 2012-03-25 14:29:49 EDT
Created attachment 572562 [details]
updated echoping rpm spec file with both patches
Comment 3 Clinton Work 2012-03-25 14:31:17 EDT
Note, echoping is a useful probe supported by the smokeping package.
Comment 4 Clinton Work 2012-03-25 14:32:51 EDT
Additional details on the echoping ldap objectclass performance issue.  

http://sourceforge.net/tracker/?func=detail&atid=104581&aid=1879652&group_id=4581
Comment 5 Michael Schwendt 2012-07-18 05:23:28 EDT
It might be an idea to sign up as maintainer of this Fedora package.

http://bugz.fedoraproject.org/echoping
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers
Comment 6 Fedora End Of Life 2013-01-16 05:19:19 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 03:55:42 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.